<script type="text/javascript">
    RED.nodes.registerType('prometheus-query-range', {
        category: 'prometheus',
        color: '#F3B567',
        defaults: {
            name: { 
                value: "" 
            },
            server: {
                required: true,
                type: "prometheus-server"
            },
            query: {
                value: null,
                required: false,
            },
            start: { 
                value: null,
                required: false
            },
            end: { 
                value: null,
                required: false
            },
            step: { 
                value: null,
                required: false,
                validate: RED.validators.number()
            },
            timeout: {
                value: 1000,
                required: false,
                validate: RED.validators.number()
            }
        },
        inputs: 1,
        outputs: 1,
        icon: "prometheus.png",
        paletteLabel: "query range",
        label: function() {
            return this.name || "query range";
        }
    });
</script>

<script type="text/html" data-template-name="prometheus-query-range">
    <div class="form-row">
        <label for="node-input-server"><i class="fa fa-globe"></i> Server</label>
        <input type="text" id="node-input-server" placeholder="Prometheus Server">
    </div>
    <div class="form-row">
        <label for="node-input-query"><i class="fa fa-tag"></i> PromQL</label>
        <input type="text" id="node-input-query" placeholder="Enter PromQL or use msg.payload">
    </div>
    <div class="form-row">
        <label for="node-input-start"><i class="fa fa-clock-o"></i> Start</label>
        <input type="text" id="node-input-start" placeholder="Start">
    </div>
    <div class="form-row">
        <label for="node-input-end"><i class="fa fa-clock-o"></i> End</label>
        <input type="text" id="node-input-end" placeholder="End">
    </div>
    <div class="form-row">
        <label for="node-input-step"><i class="fa fa-clock-o"></i> Step</label>
        <input type="text" id="node-input-step" placeholder="Step">
    </div>
    <div class="form-row">
        <label for="node-input-timeout"><i class="fa fa-hourglass"></i> Timeout</label>
        <input type="text" id="node-input-timeout" placeholder="timeout">
    </div>
    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
    <div class="form-tips">
        <b>PromQL</b>: If left empty, <code>msg.payload</code> will be used as value.
    </div><br>
</script>

<script type="text/html" data-help-name="prometheus-query-range">
    <p>A set of Nodes to communicate with the Prometheus API</p>
</script>
